Bug 44954 - [Windows] Toggling IsPassword on Multiple Entries Causes Crash
Summary: [Windows] Toggling IsPassword on Multiple Entries Causes Crash
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Windows (show other bugs)
Version: 2.3.2
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-09-30 19:33 UTC by Jimmy [MSFT]
Modified: 2016-11-25 10:32 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
repro solution (151.34 KB, application/zip)
2016-09-30 19:33 UTC, Jimmy [MSFT]
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Jimmy [MSFT] 2016-09-30 19:33:27 UTC
Created attachment 17834 [details]
repro solution

### Overview
On Windows, toggling IsPassword on more than one Entry control will crash the app with a System.ArgumentException: https://gist.github.com/jimmgarrido/403889f0bba3558daa6a3b4c43ac9f48

The exception is being thrown when trying to set the TextBox's InputScope here: https://github.com/xamarin/Xamarin.Forms/blob/master/Xamarin.Forms.Platform.WinRT/FormsTextBox.cs#L322


### Steps to Reproduce
1. Run the attached repro project (Windows 8.1 or UWP)
2. Press "Toggle First Password"
3. Press "Toggle Second Password"


### Expected Results
The text in both Entry controls will be obfuscated.


### Actual Results
The app will crash.


### Testing Info
Tested on WinRT and UWP with Forms 2.3.3-pre2
Comment 1 Jimmy [MSFT] 2016-09-30 19:52:23 UTC
Pull request submitted for this issue: https://github.com/xamarin/Xamarin.Forms/pull/405
Comment 2 Stephane Delcroix 2016-10-11 19:06:57 UTC
should be fixed in 2.3.4-pre1
Comment 3 Parmendra Kumar 2016-11-25 10:32:22 UTC
I have checked this issue with Xamarin.Forms 2.3.4-pre1 and this issue has been fixed.

Hence closing this issue.


Thanks